Name:          jfsutils
Version:       1.1.15
Release:       14
Summary:       Administration and debugging tools for the JFS filesystem
License:       GPLv3
URL:           http://jfs.sourceforge.net/
Source0:       http://jfs.sourceforge.net/project/pub/jfsutils-1.1.15.tar.gz
Patch0001:     jfsutils-1.1.15-linux-headers.patch
Patch0002:     jfsutils_sysmacros.patch
Patch9000:     jfsutils-reslove-build-error.patch
Buildrequires: libuuid-devel git gdb

%description
JFS(IBM's Journaled File System) is used in IBM enterprise servers,
is designed for high-throughput server environments, key to running
intranet and other high-performance e-business file servers.
The jfsutils package is an dministration and debugging tools for the JFS
filesystem, which mainly contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS filesystems.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure 
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*
%doc AUTHORS NEWS ChangeLog
%license COPYING

%changelog
* Fri Feb 14 2020 gulining<gulining1@openeuler.org> - 1.1.15-14
- Package init
